
    document.write("<style type='text/css'> #thelogo {visibility:hidden;position:absolute;} </style>");
    document.write("<style type='text/css'> #theMotto {visibility:hidden;position:absolute;} </style>");
    document.write("<style type='text/css'> #navResume {visibility:hidden;position:absolute;} </style>");
    var environ = {};
    
    function initImage() 
    {
        imageId = 'thelogo';
        image = document.getElementById(imageId);
        
        getDocViewSize();
        
        image.style.left = (environ.winWidth / 2) - (image.width / 2);
        image.style.top = (environ.winHeight / 2) - (image.height / 2);
        
        environ.imgX = image.style.left;
        environ.imgY = image.style.top;
            
        mottoId = 'theMotto';
        motto = document.getElementById(mottoId);
        motto.style.left = parsePixNum(environ.imgX) - 15 + (image.width / 2) - (motto.offsetWidth / 2);
        motto.style.top = parsePixNum(environ.imgY) + 20;
        
        setOpacity(image, 0);
        
        image.style.visibility = 'visible';
        
        fadeIn(imageId, -5);
    
        environ.mottoFinalX = motto.style.left;
        environ.mottoFinalY = parsePixNum(environ.imgY) + image.height + 20;
        
        fadeOut(mottoId, 130); 
    }
            
    function parsePixNum(pixNum) 
    {
        if(pixNum == parseInt(pixNum)) {
            return parseInt(pixNum);
        } else if(pixNum == parseFloat(pixNum)) {
            return parseFloat(pixNum);
        }
        return parseInt(pixNum.substring(0, pixNum.indexOf("px")));
    }

    function setOpacity(obj, opacity) 
    {
        opacity = (opacity == 100)?99.999:opacity;
  
        // IE/Win
        obj.style.filter = "alpha(opacity:"+opacity+")";
  
        // Safari<1.2, Konqueror
        obj.style.KHTMLOpacity = opacity/100;
  
        // Older Mozilla and Firefox
        obj.style.MozOpacity = opacity/100;
  
        // Safari 1.2, newer Firefox and Mozilla, CSS3
        obj.style.opacity = opacity/100;

    }

    function fadeIn(objId, opacity) 
    {
        if (document.getElementById) {
            obj = document.getElementById(objId);
            if (opacity < 0) {
                opacity += 1;
                window.setTimeout("fadeIn('"+objId+"',"+opacity+")", 75);
            }
            else if (opacity <= 100) {
                setOpacity(obj, opacity);
                opacity += 1;
                window.setTimeout("fadeIn('"+objId+"',"+opacity+")", 50);
            }
        }
    } 
    
    function fadeOut(objId, opacity) 
    {
        if (document.getElementById) 
        {
            obj = document.getElementById(objId);
            if(opacity > 100) {
                opacity -= 1;
                window.setTimeout("fadeOut('"+objId+"',"+opacity+")", 100);
            }
            else if (opacity > 0) {
                    setOpacity(obj, opacity);
                    opacity -= 1;
                    window.setTimeout("fadeOut('"+objId+"',"+opacity+")", 5);
            } else {
                obj.style.visibility = 'visible';
                fadeIntoPosition('theMotto', environ.mottoFinalX, environ.mottoFinalX,
                                        motto.style.top, environ.mottoFinalY, 0);
            }
        }
    }
    
    function pause(millis) 
    {
        var date = new Date();
        var curDate = null;

        do { 
            curDate = new Date(); 
        } 
        while(curDate-date < millis);
    } 

    function fadeIntoPosition(objId, oldX, newX, oldY, newY, opacity) 
    {
        newX = parsePixNum(newX);
        newY = parsePixNum(newY);
        oldX = parsePixNum(oldX);
        oldY = parsePixNum(oldY);
        delta = 3;

        if(oldX != newX || oldY != newY) 
        {
            if(oldX != newX) 
            {
                if(Math.abs(oldX - newX) < delta) {
                    oldX = newX;
                }
                else if(oldX < newX) {
                    oldX += delta;
                } else {
                    oldX -= delta;
                }
            } 
            
            if(oldY != newY) 
            {
                if(Math.abs(oldY - newY) < delta) {
                    oldY = newY;
                }
                else if(oldY < newY) {
                    oldY += delta;
                } else {
                    oldY -= delta;
                }
            }
            obj = document.getElementById(objId);
            obj.style.left = oldX;
            obj.style.top = oldY;
            
            if(opacity <= 0) {
                fadeIn(objId, opacity);
            }
           
            //Set opacity here to some number above 0 so "fadeIn" is only called once.
            opacity += 10;
            
            window.setTimeout(
                    "fadeIntoPosition('"+objId+"', "+oldX+", "+newX+", "+oldY+", "+newY+", "+opacity+")", 20);
        }
        else
        {
            imageId = 'thelogo';
            image = document.getElementById(imageId);
            navlink = document.getElementById("navResume");
            navlink.style.top = newY + 50;
            navlink.style.left = parsePixNum(environ.imgX) - 15 + (image.width / 2) - (navlink.offsetWidth / 2);
            navlink.style.visibility = "visible";
        }

    }
            
    function getDocViewSize() 
    {
        var myWidth = 0, myHeight = 0;
        
        if( typeof( window.innerWidth ) == 'number' ) 
        {
            //Non-IE
            myWidth = window.innerWidth;
            myHeight = window.innerHeight;
        } 
        else if( document.documentElement && 
            ( document.documentElement.clientWidth || document.documentElement.clientHeight ) ) 
        {
            //IE 6+ in 'standards compliant mode'
            myWidth = document.documentElement.clientWidth;
            myHeight = document.documentElement.clientHeight;
        } 
        else if( document.body && ( document.body.clientWidth || document.body.clientHeight ) ) 
        {
            //IE 4 compatible
            myWidth = document.body.clientWidth;
            myHeight = document.body.clientHeight;
        }

        environ.winWidth = myWidth;
        environ.winHeight = myHeight;
    }


    window.onload = function() {initImage();}